using System.Collections.Generic;
using System.Linq;
using UnityEngine;

public class DrawTarget : DrawShape
{
    private RectTransform rectTransform_;

    private void Awake()
    {
        rectTransform_ = GetComponent<RectTransform>();
    }

    public override void StartDraw(Vector2 position)
    {
    }
    public override void StopDraw(Vector2 position)
    {
    }

    public override void UpdateShape(Vector2 newPosition)
    {
        rectTransform_.position = newPosition;
    }

    public override void Clear()
    {
    }
}